Bug 518370 - --> [Errno -1] Package does not match intended download
Summary: --> [Errno -1] Package does not match intended download
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 05:45 UTC by Jerry
Modified: 2014-01-21 23:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 15:10:27 UTC


Attachments (Terms of Use)
repo file from default installation (1.08 KB, text/plain)
2009-08-20 05:45 UTC, Jerry
no flags Details

Description Jerry 2009-08-20 05:45:56 UTC
Created attachment 358041 [details]
repo file from default installation

When running yum or yumex, I get this error message repeatedly as yum attempts to download. I am seeing this on two different machines.  I have tried changing the DNS I use.  I have tried the numerous yum clean all and yum --noplugins.

No effect.  I tried commenting out mirrorlist in the repo file, no luck.

I have attached the repo file.  I can usually get a successful update on a file after 10 or 20 of these failed attempts.

Comment 1 Jerry 2009-08-20 05:58:38 UTC
I should mention that for large single downloads of apps like kernel or stellarium, after several minutes of download, it will error and try another mirror.  It might be 5 to 10 minutes for each attempt.

22:34:48 : Failure getting http://fedora.fastsoft.net/pub/linux/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:34:48 :   --> [Errno -1] Package does not match intended download
22:34:48 : Trying other mirror.
22:37:50 : Failure getting http://mirror.uoregon.edu/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:37:50 :   --> [Errno -1] Package does not match intended download
22:37:50 : Trying other mirror.
22:41:42 : Failure getting http://chi-10g-1-mirror.fastsoft.net/pub/linux/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:41:42 :   --> [Errno -1] Package does not match intended download
22:41:42 : Trying other mirror.
22:43:31 : Failure getting http://mirrors.reflected.net/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:43:32 :   --> [Errno -1] Package does not match intended download
22:43:32 : Trying other mirror.
22:45:30 : Failure getting http://mirrors.usc.edu/pub/linux/distributions/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:45:30 :   --> [Errno -1] Package does not match intended download
22:45:30 : Trying other mirror.
22:49:45 : Failure getting http://linux.nssl.noaa.gov/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:49:45 :   --> [Errno -1] Package does not match intended download
22:49:45 : Trying other mirror.
22:54:05 : Failure getting http://mirror.anl.gov/pub/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:54:05 :   --> [Errno -1] Package does not match intended download
22:54:05 : Trying other mirror.
22:55:11 : Failure getting http://astromirror.uchicago.edu/fedora/linux/releases/11/Everything/x86_64/os/Packages/stellarium-0.10.2-2.fc11.x86_64.rpm: 
22:55:11 :   --> [Errno 4] Socket Error: timed out
22:55:11 : Trying other mirror.

Comment 2 seth vidal 2009-08-24 17:34:44 UTC
Can you retrieve from the above urls using:

wget 
urlgrabber 
curl
firefox

?
thanks

Comment 3 Jerry 2009-08-25 00:06:17 UTC
I initiated a download with firefox and it is downloading as I type this.  Slowly though.

Now an interesting experiment.  Yesterday I used wget to grab the latest kernel updates because I could not get those to load in.  I then attempted to use yum localinstall on those files.

invoked as "yum localinstall kernel-*" in the directory where the files are saved

I get this:  (after the usual dependency checks)

Transaction Summary
================================================================================
Install      2 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total size: 88 M
Is this ok [y/N]: y
Downloading Packages:
error: rpmts_HdrFromFdno: Header V3 RSA/SHA1 signature: BAD, key ID d22e77f2


Problem opening package kernel-2.6.29.6-217.2.8.fc11.x86_64.rpm

Why is it trying to use SHA1 and not SHA256?

Comment 4 Jerry 2009-08-25 00:20:34 UTC
I will also mention another symptom. I was trying to install VirtualBox about 4 days ago and noticed also that I was getting an error.  This was downloading with Firefox from the Sun website.  I could not get the rpm to install.  However, when I copied an rpm that I had previously downloaded on a Fedora10 box, that file installed cleanly.  It was the same version of VirtualBox from the same website.  I then suspected corruption of the file during download.  I will see if I can do a hex dump to text file for both and see if there is a difference. (If I can find that file again)

Comment 5 Jerry 2009-08-25 00:30:27 UTC
More data:

rpm --test -ivh *
error: kernel-2.6.29.6-217.2.8.fc11.x86_64.rpm: Header V3 RSA/SHA1 signature: BAD, key ID d22e77f2
error: kernel-2.6.29.6-217.2.8.fc11.x86_64.rpm cannot be installed
error: kernel-2.6.29.6-217.2.8.fc11.x86_64.rpm.1: headerRead failed: hdr blob(425000): BAD, read returned 186840
error: kernel-2.6.29.6-217.2.8.fc11.x86_64.rpm.1 cannot be installed
error: kernel-devel-2.6.29.6-217.2.8.fc11.x86_64.rpm: Header V3 RSA/SHA1 signature: BAD, key ID d22e77f2
error: kernel-devel-2.6.29.6-217.2.8.fc11.x86_64.rpm cannot be installed
error: kernel-headers-2.6.29.6-217.2.8.fc11.x86_64.rpm: Header V3 RSA/SHA1 signature: BAD, key ID d22e77f2
error: kernel-headers-2.6.29.6-217.2.8.fc11.x86_64.rpm cannot be installed

Comment 6 Jerry 2009-08-25 00:53:38 UTC
I created two text files using xxd and did a diff to see.

test1.txt is from the VirtualBox rpm that installed OK

test2.txt is from the VirtualBox rpm I just now downloaded with Firefox.  Shall I repeat the test using wget?

I also attached output of rpm --test.

This problem has nothing to do with Yum.  I suspect the libraries used to download.  ???

diff test1.txt test2.txt
3989c3989
< 000f940: ffff ffff ffff ffff ffff ffff ffff ffff  ................
---
> 000f940: ffff ffff ffff ffff ffff ffff ff7f ffff  ................
4025c4025
< 000fb80: ffff ffff ffff ffff ffff ffff ffff ffff  ................
---
> 000fb80: ffff ffff ffff ffff ffff ffff ff7f ffff  ................
4041c4041
< 000fc80: ffff ffff ffff ffff ffff ffff ffff ffff  ................
---
> 000fc80: ffff ffff ffff ffff ffff ffff ff7f ffff  ................
780799c780799
< 0be9fe0: 184f ffbe 8589 6f1a ccbf 53f4 d2bf 4f21  .O....o...S...O!
---
> 0be9fe0: 184f ffbe 8509 6f1a ccbf 53f4 d2bf 4f21  .O....o...S...O!
844165c844165
< 0ce1840: af65 59f6 1ddf f1ed a3d1 68d0 1f0c 8683  .eY.......h.....
---
> 0ce1840: af65 59f6 1d5f f1ed a3d1 68d0 1f0c 8683  .eY.._....h.....
1110746c1110746
< 10f2d90: 97bf f265 2fbf f09e 47bf e9e7 dff9 d867  ...e/...G......g
---
> 10f2d90: 97bf f265 2f3f f09e 47bf e9e7 dff9 d867  ...e/?..G......g
1381162c1381162
< 1513290: d5af d659 33d6 bea3 fa77 c6fa 06c6 4898  ...Y3....w....H.
---
> 1513290: d5af d659 3356 bea3 fa77 c6fa 06c6 4898  ...Y3V...w....H.
1551710c1551710
< 17ad5d0: bb5f ff38 809c 37f1 1ec6 afdf 6fb9 ca6f  ._.8..7.....o..o
---
> 17ad5d0: bb5f ff38 809c 37f1 1ec6 afdf 6f39 ca6f  ._.8..7.....o9.o
2162290c2162290
< 20fe710: f928 e366 cc1a 9bb2 549f 9485 2a93 0147  .(.f....T...*..G
---
> 20fe710: 7928 e366 cc1a 9bb2 549f 9485 2a93 0147  y(.f....T...*..G
2364320c2364320
< 24139f0: b416 4d16 c065 c41f 944c 7c40 83f1 3e53  ..M..e...L|@..>S
---
> 24139f0: b416 4d16 c065 c41f 144c 7c40 83f1 3e53  ..M..e...L|@..>S
2725260c2725260
< 29958b0: 85b7 ffa3 ce1c 85ee 9c88 561f 15fb d8a8  ..........V.....
---
> 29958b0: 85b7 ffa3 ce1c 85ee 1c88 561f 15fb d8a8  ..........V.....
2817343c2817343
< 2afd3e0: 808a 6996 4612 9082 f8c5 1a08 07e2 fb10  ..i.F...........
---
> 2afd3e0: 808a 6996 4612 9082 78c5 1a08 07e2 fb10  ..i.F...x.......


$ rpm --test -ivh newVirtualBox-3.0.4_50677_fedora11-1.x86_64.rpm 
error: newVirtualBox-3.0.4_50677_fedora11-1.x86_64.rpm: Header SHA1 digest: BAD Expected(d967704d51ec0bae29debfc4ec52747d8d386594) != (4ecf1c516f95c352f7747af296811efbf31fe8b4)
error: newVirtualBox-3.0.4_50677_fedora11-1.x86_64.rpm cannot be installed

Comment 7 Jerry 2009-08-25 04:47:40 UTC
With wget getting the file:

$ rpm --test -ivh VirtualBox-3.0.4_50677_fedora11-1.x86_64.rpm\?e\=1251170062\&h\=b932c50e65603935a590f6437f707561 
error: VirtualBox-3.0.4_50677_fedora11-1.x86_64.rpm?e=1251170062&h=b932c50e65603935a590f6437f707561: Header SHA1 digest: BAD Expected(d967704d51ec0bae29debfc4ec52747d8d386594) != (26337189814bd0751fee262dd1a69cc432d6c468)
error: VirtualBox-3.0.4_50677_fedora11-1.x86_64.rpm?e=1251170062&h=b932c50e65603935a590f6437f707561 cannot be installed

Same problem.

Comment 8 seth vidal 2009-08-25 15:10:27 UTC
test with curl, too.

If everything is producing a bad pkg then you need to find out if there is a transparent proxy in front of you and/or something else messing with the results.

However, thus far it doesn't look like a yum bug.


Note You need to log in before you can comment on or make changes to this bug.